LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
LineBreakUserOptions Struct Referencepublished

Line break options passed in calls to XBreakIterator::getLineBreak(). More...

`import"LineBreakUserOptions.idl";`

## Public Attributes
string | forbiddenBeginCharacters
| Characters not allowed at the beginning of a line. More...
string | forbiddenEndCharacters
| Characters not allowed at the end of a line. More...
boolean | applyForbiddenRules
| If the forbidden characters rules are to be applied or not. More...
boolean | allowPunctuationOutsideMargin
| If punctuation characters are allowed at the end of the line if outside of the margins, resulting in a line not being wrapped if only the punctuation would wrap. More...
boolean | allowHyphenateEnglish
| Allow English hyphenation. More...

## Detailed Description

Line break options passed in calls to XBreakIterator::getLineBreak().

## Member Data Documentation

boolean allowHyphenateEnglish

Allow English hyphenation.

boolean allowPunctuationOutsideMargin

If punctuation characters are allowed at the end of the line if outside of the margins, resulting in a line not being wrapped if only the punctuation would wrap.

boolean applyForbiddenRules

If the forbidden characters rules are to be applied or not.

string forbiddenBeginCharacters

Characters not allowed at the beginning of a line.

string forbiddenEndCharacters

Characters not allowed at the end of a line.

The documentation for this struct was generated from the following file:

- com/sun/star/i18n/LineBreakUserOptions.idl